Package org.springframework.security.util

# Class MethodInvocationUtils

java.lang.Object
org.springframework.security.util.MethodInvocationUtils

public final class MethodInvocationUtils extends Object
Static utility methods for creating `MethodInvocation`s usable within Spring Security.

All methods of this class return a `SimpleMethodInvocation`.

## Method Summary

Modifier and Type
Method
Description
`static org.aopalliance.intercept.MethodInvocation`
`create(Object object, String methodName, Object... args)`
Generates a `MethodInvocation` for specified `methodName` on the passed object, using the `args` to locate the method.
`static org.aopalliance.intercept.MethodInvocation`
`createFromClass(Class<?> clazz, String methodName)`
Generates a `MethodInvocation` for the specified `methodName` on the passed class.
`static org.aopalliance.intercept.MethodInvocation`
`createFromClass(Object targetObject, Class<?> clazz, String methodName, Class<?>[] classArgs, Object[] args)`
Generates a `MethodInvocation` for specified `methodName` on the passed class, using the `args` to locate the method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static org.aopalliance.intercept.MethodInvocation create(Object object, String methodName, Object... args)
Generates a `MethodInvocation` for specified `methodName` on the passed object, using the `args` to locate the method.

Parameters:
  `object` - the object that will be used to find the relevant `Method`
  `methodName` - the name of the method to find
  `args` - arguments that are required as part of the method signature (can be empty)
Returns:
  a `MethodInvocation`, or `null` if there was a problem

### createFromClass

public static org.aopalliance.intercept.MethodInvocation createFromClass(Class<?> clazz, String methodName)
Generates a `MethodInvocation` for the specified `methodName` on the passed class. If a method with this name, taking no arguments does not exist, it will check through the declared methods on the class, until one is found matching the supplied name. If more than one method name matches, an `IllegalArgumentException` will be raised.

Parameters:
  `clazz` - the class of object that will be used to find the relevant `Method`
  `methodName` - the name of the method to find
Returns:
  a `MethodInvocation`, or `null` if there was a problem

### createFromClass

public static org.aopalliance.intercept.MethodInvocation createFromClass(Object targetObject, Class<?> clazz, String methodName, Class<?>[] classArgs, Object[] args)
Generates a `MethodInvocation` for specified `methodName` on the passed class, using the `args` to locate the method.

Parameters:
  `targetObject` - the object being invoked
  `clazz` - the class of object that will be used to find the relevant `Method`
  `methodName` - the name of the method to find
  `classArgs` - arguments that are required to locate the relevant method signature
  `args` - the actual arguments that should be passed to SimpleMethodInvocation
Returns:
  a `MethodInvocation`, or `null` if there was a problem